com.sun.grid.util

## Class SGEUtil

- java.lang.Object
- - com.sun.grid.util.SGEUtil

-     public class SGEUtil
      extends java.lang.Object

  This class defines some helper methods which are vital for gridengine.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getArch(java.io.File sgeRoot)`
    `static SGEUtil` | `getInstance()` Get the instance of the `SGEUtil`.
    `char[]` | `getPassword(java.lang.String prompt)` Read a password from the console.
    `int` | `getPID()` get pid of the java virtual machine
    `static boolean` | `isWindows()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SGEUtil getInstance()

      Get the instance of the `SGEUtil`. The first call of this method tries to load the native library juti.
      Returns:
        the instance of `SGEUtil`
      See Also:
        `System.loadLibrary(java.lang.String)`

    - #### getPID

          public int getPID()

      get pid of the java virtual machine
      Returns:
        the pid of the java virtual machine

    - #### getPassword

          public char[] getPassword(java.lang.String prompt)

      Read a password from the console.
      Parameters:
        `prompt` - the prompt
      Returns:
        the password

    - #### isWindows

          public static boolean isWindows()

    - #### getArch

          public static java.lang.String getArch(java.io.File sgeRoot)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`